"use strict";
/**
Copyright (c) 2020-present, Eaton

All rights reserved.

This code is licensed under the BSD-3 license found in the LICENSE file in the root directory of this source tree and at https://opensource.org/licenses/BSD-3-Clause.
**/
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MD3BluiDarkTheme = void 0;
var react_native_paper_1 = require("react-native-paper");
var shared_1 = require("./shared");
var colors_1 = __importDefault(require("@brightlayer-ui/colors"));
var color_1 = __importDefault(require("color"));
exports.MD3BluiDarkTheme = __assign(__assign({}, react_native_paper_1.MD3DarkTheme), { fonts: (0, react_native_paper_1.configureFonts)({ config: shared_1.fontConfig }), colors: __assign(__assign({}, react_native_paper_1.MD3DarkTheme.colors), { 
        // React Native Paper default theme color variants
        primary: colors_1.default.primary[80], onPrimary: colors_1.default.primary[20], primaryContainer: colors_1.default.primary[30], onPrimaryContainer: colors_1.default.primary[90], secondary: colors_1.default.primary[80], onSecondary: colors_1.default.primary[20], secondaryContainer: colors_1.default.primary[30], onSecondaryContainer: colors_1.default.primary[90], tertiary: colors_1.default.primary[80], onTertiary: colors_1.default.primary[20], tertiaryContainer: colors_1.default.primary[30], onTertiaryContainer: colors_1.default.primary[90], error: colors_1.default.error[80], onError: colors_1.default.error[20], errorContainer: colors_1.default.error[30], onErrorContainer: colors_1.default.error[90], background: colors_1.default.neutral[6], onBackground: colors_1.default.neutral[95], surface: colors_1.default.neutral[6], onSurface: colors_1.default.neutral[95], surfaceVariant: colors_1.default.neutralVariant[30], onSurfaceVariant: colors_1.default.neutralVariant[70], outline: colors_1.default.neutralVariant[60], outlineVariant: (0, color_1.default)(colors_1.default.neutralVariant[60]).alpha(0.25).rgb().string(), shadow: colors_1.default.primary[0], scrim: colors_1.default.primary[0], inverseSurface: colors_1.default.neutral[90], inverseOnSurface: colors_1.default.neutral[10], inversePrimary: colors_1.default.primary[40], elevation: {
            level0: 'transparent',
            // level1 is the same as surfaceContainerLowest in design files
            level1: colors_1.default.neutral[4],
            // level2 is the same as surfaceContainerLow in design files
            level2: colors_1.default.neutral[10],
            // level3 is the same as surfaceContainer in design files
            level3: colors_1.default.neutral[12],
            // level4 is the same as surfaceContainerHigh in design files
            level4: colors_1.default.neutral[17],
            // level5 is the same as surfaceContainerHighest in design files
            level5: colors_1.default.neutral[20],
        }, 
        // surfaceDisabled is the same as disabledContainer in design files
        surfaceDisabled: (0, color_1.default)(colors_1.default.neutral[95]).alpha(0.1).rgb().string(), 
        // onSurfaceDisabled is the same as onDisabledContainer in design files
        onSurfaceDisabled: (0, color_1.default)(colors_1.default.neutral[95]).alpha(0.15).rgb().string(), backdrop: (0, color_1.default)(colors_1.default.primary[0]).alpha(0.32).rgb().string(), 
        // Custom color variants
        // High-emphasis primary non-text variant, can be used on non-text elements like icons
        primaryNonText: colors_1.default.primary[60], 
        // Attention-grabbing error color can be used on non-text elements like icons, which communicate error states
        errorNonText: colors_1.default.error[60], 
        // variant used to render disabled elements
        disabled: (0, color_1.default)(colors_1.default.neutral[95]).alpha(0.25).rgb().string(), 
        // warning variant fills, texts, and icons which communicate warning states
        warning: colors_1.default.warning[90], 
        // can be used on non-text warning elements like icons
        warningNonText: colors_1.default.warning[80], 
        // can be used on warning text and icons against warning
        onWarning: colors_1.default.warning[20], 
        // Standout fill warning color against surface
        warningContainer: colors_1.default.warning[30], 
        // Text and icons against warning container
        onWarningContainer: colors_1.default.warning[90], 
        // success color variant fills, texts, and icons which communicate success states
        success: colors_1.default.success[80], 
        // can be used on non-text success elements like icons
        successNonText: colors_1.default.success[70], 
        // can be used on success text and icons against success
        onSuccess: colors_1.default.success[20], 
        // Standout fill success color against surface
        successContainer: colors_1.default.success[30], 
        // Text and icons against success container
        onSuccessContainer: colors_1.default.success[90], 
        // orange color variant fills, texts, and icons
        orange: colors_1.default.orange[80], 
        // non-text orange variant can be used on non-text elements like icons
        orangeNonText: colors_1.default.orange[70], 
        // can be used on text and icons against orange
        onOrange: colors_1.default.orange[20], 
        // Standout fill orange color against surface
        orangeContainer: colors_1.default.orange[30], 
        // Text and icons against orange container
        onOrangeContainer: colors_1.default.orange[90], 
        // purple color variant fills, texts, and icons
        purple: colors_1.default.purple[80], 
        // non-text purple variant can be used on non-text elements like icons
        purpleNonText: colors_1.default.purple[60], 
        // can be used on text and icons against purple
        onPurple: colors_1.default.purple[20], 
        // Standout fill purple color against surface
        purpleContainer: colors_1.default.purple[30], 
        // Text and icons against purple container
        onPurpleContainer: colors_1.default.purple[90], 
        // Surface container is the default role, but the others are especially helpful for creating hierarchy and nested containers
        // Lowest-emphasis container color
        surfaceContainerLowest: colors_1.default.neutral[4], 
        // Low-emphasis container color
        surfaceContainerLow: colors_1.default.neutral[10], 
        // Default container color
        surfaceContainer: colors_1.default.neutral[12], 
        // High-emphasis container color
        surfaceContainerHigh: colors_1.default.neutral[17], 
        // Highest-emphasis container color
        surfaceContainerHighest: colors_1.default.neutral[20], 
        // This is alias for surface disabled, used as disabled container background
        disabledContainer: (0, color_1.default)(colors_1.default.neutral[95]).alpha(0.1).rgb().string(), 
        // Text and icons against disable container
        onDisabledContainer: (0, color_1.default)(colors_1.default.neutral[95]).alpha(0.15).rgb().string(), 
        // Can be used on slider and range selector track
        sliderTrack: colors_1.default.neutral[30], 
        // Disabled version of slider track color variant
        sliderTrackDisabled: (0, color_1.default)(colors_1.default.neutral[30]).alpha(0.5).rgb().string(), 
        // Attention-grabbing color against error filled surface
        errorFilledContainer: colors_1.default.error[40], 
        // Text and icons against error filled container
        onErrorFilledContainer: colors_1.default.error[100], 
        // Attention-grabbing color against error shaded surface
        errorShadedContainer: (0, color_1.default)(colors_1.default.error[40]).alpha(0.3).rgb().string(), 
        // Text and icons against error shaded container
        onErrorShadedContainer: colors_1.default.error[80], 
        // Attention-grabbing color against error outlined container
        errorOutlinedContainerOutline: colors_1.default.error[60], 
        // Text and icons against error outlined container
        onErrorOutlinedContainerOutline: colors_1.default.error[80], 
        // Orange color against orange filled surface
        orangeFilledContainer: colors_1.default.orange[70], 
        // Text and icons against orange filled container
        onOrangeFilledContainer: colors_1.default.orange[20], 
        // Orange color against orange shaded surface
        orangeShadedContainer: (0, color_1.default)(colors_1.default.orange[70]).alpha(0.15).rgb().string(), 
        // Text and icons against orange shaded container
        onOrangeShadedContainer: colors_1.default.orange[80], 
        // Orange color against orange outlined surface
        orangeOutlinedContainer: colors_1.default.orange[70], 
        // Text and icons against orange outlined container
        onOrangeOutlinedContainer: colors_1.default.orange[80], 
        // Warning color against warning filled surface
        warningFilledContainer: colors_1.default.warning[80], 
        // Text and icons against warning filled container
        onWarningFilledContainer: colors_1.default.warning[30], 
        // Warning color against warning shaded surface
        warningShadedContainer: (0, color_1.default)(colors_1.default.warning[90]).alpha(0.1).rgb().string(), 
        // Text and icons against warning shaded container
        onWarningShadedContainer: colors_1.default.warning[90], 
        // Warning color against warning outlined container surface
        warningOutlinedContainerOutline: colors_1.default.warning[90], 
        // Text and icons against warning outlined container surface
        onWarningOutlinedContainer: colors_1.default.warning[90], 
        // Attention-grabbing color against success filled container
        successFilledContainer: colors_1.default.success[50], 
        // Text and icons against success filled container
        onSuccessFilledContainer: colors_1.default.success[100], 
        // Attention-grabbing color against success shaded surface
        successShadedContainer: (0, color_1.default)(colors_1.default.success[40]).alpha(0.3).rgb().string(), 
        // Attention-grabbing label color against success shaded surface
        successShadedLabel: colors_1.default.success[90], 
        // Attention-grabbing color against success container
        successOutlinedContainerOutline: colors_1.default.success[70], 
        // Text and icons against success outlined container
        onSuccessOutlinedContainer: colors_1.default.success[80], 
        // Primary color against primary filled surface
        primaryFilledContainer: colors_1.default.primary[50], 
        // Text and icons against primary filled container
        onPrimaryFilledContainer: colors_1.default.primary[100], 
        // Primary color against primary shaded surface
        primaryShadedContainer: (0, color_1.default)(colors_1.default.primary[40]).alpha(0.4).rgb().string(), 
        // Text and icons against primary shaded container
        onPrimaryShadedContainer: colors_1.default.primary[80], 
        // Primary color against primary outlined container
        primaryOutlinedContainerOutline: colors_1.default.primary[60], 
        // Text and icons against primary outlined container
        onPrimaryOutlinedContainer: colors_1.default.primary[70], 
        // Purple color against purple filled surface
        purpleFilledContainer: colors_1.default.purple[50], 
        // Text and icons against purple filled container
        onPurpleFilledContainer: colors_1.default.purple[100], 
        // Purple color against purple shaded surface
        purpleShadedContainer: (0, color_1.default)(colors_1.default.purple[40]).alpha(0.4).rgb().string(), 
        // Text and icons against purple shaded container
        onPurpleShadedContainer: colors_1.default.purple[80], 
        // Purple color against purple outlined container
        purpleOutlinedContainerOutline: colors_1.default.purple[50], 
        // Text and icons against purple outlined container
        onPurpleOutlinedContainer: colors_1.default.purple[70], 
        // Neutral color against neutral filled surface
        neutralFilledContainer: colors_1.default.neutral[50], 
        // Text and icons against neutral filled container
        onNeutralFilledContainer: colors_1.default.neutral[100], 
        // Neutral color against neutral shaded surface
        neutralShadedContainer: (0, color_1.default)(colors_1.default.neutral[50]).alpha(0.4).rgb().string(), 
        // Text and icons against neutral shaded container
        onNeutralShadedContainer: colors_1.default.neutral[80], 
        // Neutral color against neutral outlined container
        neutralOutlinedContainerOutline: colors_1.default.neutralVariant[60], 
        // Text and icons against Neutral outlined container
        onNeutralOutlinedContainer: colors_1.default.neutralVariant[70], 
        // Standout fill text field color against surface
        textFieldContainer: (0, color_1.default)(colors_1.default.neutral[80]).alpha(0.2).rgb().string(), 
        // Progress bar track on status color against filled surface
        progressBarTrackOnStatusFilledContainer: (0, color_1.default)(colors_1.default.primary[0]).alpha(0.25).rgb().string(), 
        // Text outline color variant
        mapTextOutline: (0, color_1.default)(colors_1.default.primary[0]).alpha(0.7).rgb().string() }) });
