import { MD3Theme } from 'react-native-paper';
import { $DeepPartial } from '@callstack/react-theme-provider';
export declare const fontConfig: {
    displaySmall: {
        fontFamily: string;
        fontWeight: "400";
        fontSize: number;
        lineHeight: number;
    };
    displayMedium: {
        fontFamily: string;
        fontWeight: "400";
        fontSize: number;
        lineHeight: number;
    };
    displayLarge: {
        fontFamily: string;
        fontWeight: "400";
        fontSize: number;
        lineHeight: number;
        letterSpacing: number;
    };
    headlineSmall: {
        fontFamily: string;
        fontWeight: "400";
        fontSize: number;
        lineHeight: number;
    };
    headlineMedium: {
        fontFamily: string;
        fontWeight: "400";
        fontSize: number;
        lineHeight: number;
    };
    headlineLarge: {
        fontFamily: string;
        fontWeight: "400";
        fontSize: number;
        lineHeight: number;
    };
    titleSmall: {
        fontFamily: string;
        fontWeight: "600";
        fontSize: number;
        lineHeight: number;
        letterSpacing: number;
    };
    titleMedium: {
        fontFamily: string;
        fontWeight: "600";
        fontSize: number;
        lineHeight: number;
        letterSpacing: number;
    };
    titleLarge: {
        fontFamily: string;
        fontWeight: "400";
        fontSize: number;
        lineHeight: number;
    };
    labelSmall: {
        fontFamily: string;
        fontWeight: "600";
        fontSize: number;
        lineHeight: number;
        letterSpacing: number;
    };
    labelMedium: {
        fontFamily: string;
        fontWeight: "600";
        fontSize: number;
        lineHeight: number;
        letterSpacing: number;
    };
    labelLarge: {
        fontFamily: string;
        fontWeight: "600";
        fontSize: number;
        lineHeight: number;
        letterSpacing: number;
    };
    bodySmall: {
        fontFamily: string;
        fontWeight: "400";
        fontSize: number;
        lineHeight: number;
    };
    bodyMedium: {
        fontFamily: string;
        fontWeight: "400";
        fontSize: number;
        lineHeight: number;
    };
    bodyLarge: {
        fontFamily: string;
        fontWeight: "400";
        fontSize: number;
        lineHeight: number;
        letterSpacing: number;
    };
};
export type ExtendedTheme = Omit<MD3Theme, 'colors'> & {
    colors: {
        primary: string;
        primaryContainer: string;
        secondary: string;
        secondaryContainer: string;
        tertiary: string;
        tertiaryContainer: string;
        surface: string;
        surfaceVariant: string;
        surfaceDisabled: string;
        background: string;
        error: string;
        errorContainer: string;
        onPrimary: string;
        onPrimaryContainer: string;
        onSecondary: string;
        onSecondaryContainer: string;
        onTertiary: string;
        onTertiaryContainer: string;
        onSurface: string;
        onSurfaceVariant: string;
        onSurfaceDisabled: string;
        onError: string;
        onErrorContainer: string;
        onBackground: string;
        outline: string;
        outlineVariant: string;
        inverseSurface: string;
        inverseOnSurface: string;
        inversePrimary: string;
        shadow: string;
        scrim: string;
        backdrop: string;
        elevation: {
            level0: string;
            level1: string;
            level2: string;
            level3: string;
            level4: string;
            level5: string;
        };
        primaryNonText: string;
        errorNonText: string;
        disabled: string;
        warning: string;
        warningNonText: string;
        onWarning: string;
        warningContainer: string;
        onWarningContainer: string;
        success: string;
        successNonText: string;
        onSuccess: string;
        successContainer: string;
        onSuccessContainer: string;
        orange: string;
        orangeNonText: string;
        onOrange: string;
        orangeContainer: string;
        onOrangeContainer: string;
        purple: string;
        purpleNonText: string;
        onPurple: string;
        purpleContainer: string;
        onPurpleContainer: string;
        surfaceContainerLowest: string;
        surfaceContainerLow: string;
        surfaceContainer: string;
        surfaceContainerHigh: string;
        surfaceContainerHighest: string;
        disabledContainer: string;
        onDisabledContainer: string;
        sliderTrack: string;
        sliderTrackDisabled: string;
        errorFilledContainer: string;
        onErrorFilledContainer: string;
        errorShadedContainer: string;
        onErrorShadedContainer: string;
        errorOutlinedContainerOutline: string;
        onErrorOutlinedContainerOutline: string;
        orangeFilledContainer: string;
        onOrangeFilledContainer: string;
        orangeShadedContainer: string;
        onOrangeShadedContainer: string;
        orangeOutlinedContainer: string;
        onOrangeOutlinedContainer: string;
        warningFilledContainer: string;
        onWarningFilledContainer: string;
        warningShadedContainer: string;
        onWarningShadedContainer: string;
        warningOutlinedContainerOutline: string;
        onWarningOutlinedContainer: string;
        successFilledContainer: string;
        onSuccessFilledContainer: string;
        successShadedContainer: string;
        successShadedLabel: string;
        successOutlinedContainerOutline: string;
        onSuccessOutlinedContainer: string;
        primaryFilledContainer: string;
        onPrimaryFilledContainer: string;
        primaryShadedContainer: string;
        onPrimaryShadedContainer: string;
        primaryOutlinedContainerOutline: string;
        onPrimaryOutlinedContainer: string;
        purpleFilledContainer: string;
        onPurpleFilledContainer: string;
        purpleShadedContainer: string;
        onPurpleShadedContainer: string;
        purpleOutlinedContainerOutline: string;
        onPurpleOutlinedContainer: string;
        neutralFilledContainer: string;
        onNeutralFilledContainer: string;
        neutralShadedContainer: string;
        onNeutralShadedContainer: string;
        neutralOutlinedContainerOutline: string;
        onNeutralOutlinedContainer: string;
        textFieldContainer: string;
        progressBarTrackOnStatusFilledContainer: string;
        mapTextOutline: string;
    };
};
export declare const useExtendedTheme: (overrides?: $DeepPartial<ExtendedTheme>) => ExtendedTheme;
export type bluiFontWeight = '300' | '400' | '600' | '700' | '800' | undefined;
export type FontStyle = {
    fontFamily: string;
    fontWeight: bluiFontWeight;
};
export declare const useFontWeight: (weight: bluiFontWeight) => FontStyle;
